/* -*- Mode:C; Tab-width:4 -*- */
/*                                                                       */
/*                                                                       */
/*                      RESTRICTED RIGHTS LEGEND                         */
/*                                                                       */
/* Use, duplication, or disclosure by the Government is subject to       */
/* restrictions as set forth in subdivision (c)(1)(ii) of the Rights in  */
/* Technical Data and Computer Software clause at 252.227-7013.          */
/*                                                                       */
/*                    TEXAS INSTRUMENTS INCORPORATED.                    */
/*                            P.O. BOX 149149                            */
/*                         AUSTIN, TEXAS 78714-9149                      */
/*                              MS 2151                                  */
/*                                                                       */
/*  Copyright (C) 1987,1988,1989,1990 Texas Instruments Incorporated.    */
/*  All rights reserved.                                                 */
/*                                                                       */

/*------------------------------------------------------------------------------

TBServer
------------------------------------------------------------------------------*/
 
#include "Types.r"
#include "SysTypes.r"
include "traps";

/* These define's are used in the MENU resources to disable specific
   menu items. */
#define AllItems	0b1111111111111111111111111111111	/* 31 flags */
#define MenuItem1	0b00001
#define MenuItem2	0b00010
#define MenuItem3	0b00100
#define MenuItem4	0b01000
#define MenuItem5	0b10000


/* sbw 12/11/89 removed size resource type definition, use mpw 3.0's instead */

resource 'SIZE' (-1) {
		dontSaveScreen, 				/* Save screen			*/
		acceptSuspendResumeEvents,		/* suspend-resume		*/
		enableOptionSwitch,				/* Options switch		*/
		canBackground,					/* accept Juggler background	*/
		multiFinderAware,				/* Juggler aware		*/
		backgroundAndForeground,		
		dontGetFrontClicks,				/* ignore user 'bring to front' clicks */
		ignoreChildDiedEvents,			/* used by debuggers	*/
		not32BitCompatible,				/* maybe in 7.0			 */
		reserved,
		reserved,
		reserved,
		reserved,
		reserved,
		reserved,
		reserved,
		500000,							/* size 				*/
		500000							/* min size      		*/
};


/* ab 11/8/88.  */
type 'TIMX' as 'STR ';

resource 'TIMX' (0) {
	"microExplorer Toolbox Server"
};


data 'ICN#' (128) { /* TI Bug ICON....Keith 1/27/88 */         /* ab 11/28/88 */
	$"0000 0000 007F 0000 007F 0000 007F 0000" 
	$"007F 0000 007F 0000 007F 0C00 007F 1E00" 
	$"007F CCF0 007F C1F8 007F DDF8 007F DDF8" 
	$"007E 1C38 7FFC 1C78 7FFC 187C 3FFF BBFE" 
	$"1FFF BBFE 0FFF BBFE 07FF 3BFE 03FF 33FE" 
	$"03E7 77FE 01C3 00FC 0003 01F0 0003 83C0" 
	$"0003 FF80 0001 FF00 0001 FE00 0000 FE00" 
	$"0000 7E00 0000 3F00 0000 0F00 0000 0000" 
	$"00FF 8000 00FF 8000 00FF 8000 00FF 8000" 
	$"00FF 8000 00FF 8C00 00FF 9E00 00FF FFF0" 
	$"00FF EFF8 00FF FFFC 00FF FFFC 00FF FFFC" 
	$"FFFF FFFC FFFE 1CFC FFFF FFFE 7FFF FFFF" 
	$"3FFF FFFF 1FFF FFFF 0FFF BFFF 07FF BFFF" 
	$"07FF FFFF 03E7 8FFE 01C7 83FC 0007 FFF0" 
	$"0007 FFC0 0003 FF80 0003 FF00 0001 FF00" 
	$"0000 FF00 0000 7F80 0000 3F80 0000 0F00" 
};

resource 'BNDL' (128) {				/* ab 11/8/88.  */
	'TIMX',
	0,
	{
		'ICN#',
		{
			0, 128
		},
		'FREF',
		{
			0, 128
		}
	}
};


resource 'FREF' (128) {
	'APPL',
	0,
	""
};
 
data 'ALRT' (260) {
	$"0054 005E 013A 0230 0104 CCCC"                  /* .T.^.:.0.. */
};

data 'DITL' (260) {
	$"0002 0000 0000 00B7 000B 00CB 0047 0402"        /* ...........G.. */
	$"4F4B 0000 0000 0007 005A 0058 01AB 0804"        /* OK.......Z.X... */
	$"5E30 5E31 0000 0000 005E 005C 00B6 01AC"        /* ^0^1.....^.\.. */
	$"0804 5E32 5E33"                                 /* ..^2^3 */
};

data 'NAME' (0, "Application-name") {
	$"1354 423A 3A72 7063 2D61 7070 6C69 6361"        /* .TB::rpc-applica */
	$"7469 6F6E"                                      /* tion */
};

